Traversal.DefaultPathDescriptor (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.kernel.Traversal.DefaultPathDescriptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class Traversal.DefaultPathDescriptor<T extends Path>

    java.lang.Object
      org.neo4j.kernel.Traversal.DefaultPathDescriptor<T>

Type Parameters:
  `T` - the type of `Path`.

All Implemented Interfaces:
  Traversal.PathDescriptor<T>

Enclosing class:
  Traversal

    public static class Traversal.DefaultPathDescriptor<T extends Path>

extends Object
implements Traversal.PathDescriptor<T>

The default `Traversal.PathDescriptor` used in common toString() representations in classes implementing `Path`.

Constructor Summary
`Traversal.DefaultPathDescriptor()`

Method Summary
`String` | `nodeRepresentation(Path path, Node node)` Returns a string representation of a `Node`.
`String` | `relationshipRepresentation(Path path, Node from, Relationship relationship)` Returns a string representation of a `Relationship`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Traversal.DefaultPathDescriptor

    public Traversal.DefaultPathDescriptor()

Method Detail

### nodeRepresentation

    public String nodeRepresentation(Path path,
                                     Node node)

  Description copied from interface: `Traversal.PathDescriptor`
  Returns a string representation of a `Node`.

  Specified by:
    `nodeRepresentation` in interface `Traversal.PathDescriptor<T extends Path>`
  Parameters:
    `path` - the `Path` we're building a string representation from.
    `node` - the `Node` to return a string representation of.
  Returns:
    a string representation of a `Node`.

### relationshipRepresentation

    public String relationshipRepresentation(Path path,
                                             Node from,
                                             Relationship relationship)

  Description copied from interface: `Traversal.PathDescriptor`
  Returns a string representation of a `Relationship`.

  Specified by:
    `relationshipRepresentation` in interface `Traversal.PathDescriptor<T extends Path>`
  Parameters:
    `path` - the `Path` we're building a string representation from.
    `from` - the previous `Node` in the path.
    `relationship` - the `Relationship` to return a string representation of.
  Returns:
    a string representation of a `Relationship`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.